Package org.eclipse.viatra.query.patternlanguage.emf.jvmmodel

## Class EMFPatternJvmModelAssociator

- java.lang.Object
- - org.eclipse.xtext.xbase.jvmmodel.JvmModelAssociator
  - - org.eclipse.viatra.query.patternlanguage.emf.jvmmodel.EMFPatternJvmModelAssociator

- All Implemented Interfaces:
    `org.eclipse.xtext.resource.IDerivedStateComputer`, `org.eclipse.xtext.xbase.jvmmodel.IJvmModelAssociations`, `org.eclipse.xtext.xbase.jvmmodel.IJvmModelAssociator`, `org.eclipse.xtext.xbase.jvmmodel.ILogicalContainerProvider`

      public class EMFPatternJvmModelAssociator
      extends org.eclipse.xtext.xbase.jvmmodel.JvmModelAssociator

  This subClass is needed for local variable scoping. PatternBody not associated with any Inferred classes.
  No Reference:
    This class is not intended to be referenced by clients.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.eclipse.xtext.xbase.jvmmodel.JvmModelAssociator

      `org.eclipse.xtext.xbase.jvmmodel.JvmModelAssociator.Adapter, org.eclipse.xtext.xbase.jvmmodel.JvmModelAssociator.JvmDeclaredTypeAcceptor, org.eclipse.xtext.xbase.jvmmodel.JvmModelAssociator.ListBasedSet<E extends java.lang.Object>`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `EMFPatternJvmModelAssociator()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected void` | `calculateAggregateTypes​(org.eclipse.xtext.resource.DerivedStateAwareResource resource)` |
    `protected void` | `calculateDerivedVariableObjects​(org.eclipse.xtext.resource.DerivedStateAwareResource resource)` |
    `void` | `installDerivedState​(org.eclipse.xtext.resource.DerivedStateAwareResource resource, boolean preIndexingPhase)` |

    - ### Methods inherited from class org.eclipse.xtext.xbase.jvmmodel.JvmModelAssociator

      `associate, associateLogicalContainer, associatePrimary, checkLanguageResource, checkSameResource, cleanAssociationState, discardDerivedState, getAssociatedExpression, getJvmElements, getLogicalContainer, getLogicalContainer, getLogicalContainerMapping, getNearestLogicalContainer, getOrInstall, getPrimaryJvmElement, getPrimarySourceElement, getResource, getSourceElements, isPrimaryJvmElement, putIntoSmallSetMap, putIntoSmallSetMap, removeAllAssociation, removeAssociation, removeLogicalChildAssociation, setCompleter, setInferrerProvider, sourceToTargetMap, targetToSourceMap`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EMFPatternJvmModelAssociator

          public EMFPatternJvmModelAssociator()

  - ### Method Detail

    - #### installDerivedState

          public void installDerivedState​(org.eclipse.xtext.resource.DerivedStateAwareResource resource,
                                          boolean preIndexingPhase)

      Specified by:
        `installDerivedState` in interface `org.eclipse.xtext.resource.IDerivedStateComputer`
      Overrides:
        `installDerivedState` in class `org.eclipse.xtext.xbase.jvmmodel.JvmModelAssociator`

    - #### calculateDerivedVariableObjects

          protected void calculateDerivedVariableObjects​(org.eclipse.xtext.resource.DerivedStateAwareResource resource)

    - #### calculateAggregateTypes

          protected void calculateAggregateTypes​(org.eclipse.xtext.resource.DerivedStateAwareResource resource)

      Since:
        1.4